/*
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
| File Name			  : MicroBoltExtIntLevel.h																					
| Author			    : Micromint, Inc.						
| Copyright       : Copyright  2005, Micromint, Inc.																	
| Creation Date		: 4/2/05																							
| Version			    : 1.00																																												
| Spaces per tab	:	2																									
| Description		  : Header file																																									 
| Revision			  :	Initial																																																						
|------------------------------------------------------------------------------------------
|------------------------------------------------------------------------------------------
*/

/*
|----------------------------------------------------
|     Function prototypes
|----------------------------------------------------
*/

void ExtInt1_ISR(void);

/*
|----------------------------------------------------
|     Defines
|----------------------------------------------------
*/ 

#define MICROBOLT_LED                 0x00400000        // On-board Test LED

#define  P0_14_EXTERNAL_INTERRUPT_1   0x20000000        // P0.14 alternate function EINT1
#define  INTERRUPT_CHANNEL_FOR_EINT1  0x20 | 15         // The VIC channel for EINT1
#define  INTERRUPT_ENABLE_FOR_EINT1   0x00008000        // The VIC enable for EINT1 

#define  VIC_ACK                      0x00000000        // VIC acknowledge 
#define  EXTINT_CLR                   0x00000002        // Clear extint flag  

